

//###################### 設定項目 ##############################

//-----------フォームデコードの設定---------------------

//フォームデコードのformタグが、次のような場合(①のような数字は目印なので実際には無いものとしてください)

//<form action="①http://xxx.xxx.xxx/form.cgi" method="post">
//<input type="②_mailto" value="⑩***@***.***">←あなたのメールを記入するところ
//<input type="③_name" value="">←送信者の名前
//<input type="④_from" value="">←送信者のメールアドレス
//<input type="⑤_location" value="⑧http://xxx.xxx.xxx/thanks.html">←送信後に表示するページを記入
//<input type="⑥_subject" value="⑦注文メール">←タイトル
//<textarea name="⑨comment"></textarea>←コメント
//</form>

const ACT="http://xxx.xxx.xxx/form.cgi";
//ここに①のcgiのurlを記入します。

const MAILTITLE="注文メール";
//ここに⑦のメールの件名を設定します。

const THANKS="http://***.***/thanks.html";
//ここに⑧の送信後に表示するページを記入。

const OKPAGE="_location";
//ここに⑤の部分を記入します。

const SUB="_subject";
//ここに⑥の部分を記入します。

const NAME="_name";
//ここに③の部分を記入します。

const FROM="_from";
//ここに④の部分を記入します。

const TOMAIL="_mailto";
//ここに②の部分を記入します。

const HONBUN="comment";
//ここに⑨の部分を記入します。

//⑩の部分には下のmailtoに設定したものが自動で入ります。

//-------------------注文・確認メールの設定------------------------

const MAILTO='***@***.***';	
//#注文のメールを受け取る人(あなた)のメールアドレス

//確認メールの前後に表示するメッセージを記入します。
//前の文はMAIL_HEADERに、後の文はMAIL_FOOTERに記入
//\nは改行です。

const MAIL_HEADER="ご注文ありがとうございます。\n送信されたメールの内容は以下のようになっておりますのでご確認ください。\n";

const MAIL_FOOTER="\n---------------------------\nhoge@ne.jp\nhttp://hoge.ne.jp\n---------------------------\n";

//-------------- 送料 --------------------

const POSTAGE="4";
//送料について
//0:計算しない 
//1:計算する(何個買っても一定金額に固定) 
//2:計算する(すべての商品の送料が同じ)
//3:商品ごとに違う送料を設定
//4:配送方法によって送料を計算

const POSTAGE_ALT="別途請求";
//postageを0にしたとき、代わりに文字を表示するときは""の中に記入

const POSTAGE_FIX="500";
//postageを1にしたときは、ここに固定する送料を記入

const POSTAGE_EACH="500";
//postageを2にしたときは、ここに送料を記入

const POSTAGE_OFF="0";
//購入金額が一定以上のときに、送料を無料にするか 0:しない 1:する(1にしたときは下のpostage_lineで金額設定)

const POSTAGE_LINE="10000";
//購入金額がこの金額以上なら送料は無料にする

const POSTAGE_MURYO="0";
//postage_offを1にしたときに、あと～円の購入で送料が無料に!!と表示するか(0:しない 1:する)

//-------------- 配送方法 --------------------

const DELI_FIX=new Array("普通郵便","メール便");	//postageを4にしたときに、送料を一定にしたい配送方法があればenter.htmlに記入した中から記入
const DELI_FIX_CHARGE=new Array('80','100');			//上の送料

//----------------カート画面での送料の計算--------------------

const CARTPOS="1";
//postageを4にしたときにカート画面で送料が計算できるようにするか
//0:しない 
//1:する

const CARTPOSDELI='ゆうパック';
//cartposを1にしたときは、送料を計算する配送方法をenter.htmlに記入した中から設定

//----------------手数料--------------------

const DAI_COUNT_ON="1";
//たとえば代金引換などのときにその手数料を計算する 1:する0:しない

const DAI_ARRAY=new Array();
DAI_ARRAY["代金引換"]="250";
DAI_ARRAY["クロネコペイメント"]="5%";

//dai_count_onを1にしたときは、手数料を計算したいお支払い方法をenter.htmlに記入したなかから記入して
//その料金を記入
//購入金額が10000円未満は250円、10000円以上20000円未満は350円、20000以上は450円とするときは、
//"10000:20000_250:350:450"と記入する。


//----------------ラッピングのオプション----------------

const WRAPPING="0";
//ラッピングを計算するか(0:しない 1:する)

const WRAP_CHARGE="100";
//ラッピングの費用

const WRAP_OFF="0";
//購入金額が一定以上ならラッピング無料にする(0:しない 1:する)

const WRAP_OFF_LINE="1000";
//wrap_offを設定したときはここで無料にする金額を設定


//----------------デザインなど----------------------------

const WH="25";
//商品画像のサイズ

//--------------------その他-------------------------------
const DOLLAR="0";
//0:日本円 1:外貨表示 

const YEN="1";
//円の表示 0:円 1:\

const ZEI="2";
//税の表示方式(0:旧 1:総額表示(税抜価格を元に税額を出す) 2:総額表示(税込価格を元に税額を出す))
//1にした場合は、カタログページの<input type="hidden" name="price" value="値段">には税抜きの価格を記入すること。
//2にした場合は、カタログページの<input type="hidden" name="price" value="値段">には税込みの価格を記入すること。

const TAXRATE="8";
//消費税(%)かけないときは0

const TANSU="1";
//いわゆる端数処理について(0:個々の商品に税をかけて少数点以下切り捨て 1:小計にまとめて税をかけて小数点以下切り捨て)
//1にすると余分に税金を払うことになります。


//################### 基本設定はここまで ##########################

const PREF=new Array();
PREF['1']='北海道';
PREF['2']='青森県';
PREF['3']='岩手県';
PREF['4']='秋田県';
PREF['5']='宮城県';
PREF['6']='山形県';
PREF['7']='福島県';
PREF['8']='茨城県';
PREF['9']='栃木県';
PREF['10']='群馬県';
PREF['11']='埼玉県';
PREF['12']='千葉県';
PREF['13']='東京都';
PREF['14']='神奈川県';
PREF['15']='新潟県';
PREF['16']='富山県';
PREF['17']='石川県';
PREF['18']='福井県';
PREF['19']='長野県';
PREF['20']='山梨県';
PREF['21']='静岡県';
PREF['22']='愛知県';
PREF['23']='岐阜県';
PREF['24']='三重県';
PREF['25']='滋賀県';
PREF['26']='京都府';
PREF['27']='大阪府';
PREF['28']='兵庫県';
PREF['29']='奈良県';
PREF['30']='和歌山県';
PREF['31']='鳥取県';
PREF['32']='島根県';
PREF['33']='岡山県';
PREF['34']='広島県';
PREF['35']='山口県';
PREF['36']='香川県';
PREF['37']='徳島県';
PREF['38']='愛媛県';
PREF['39']='高知県';
PREF['40']='福岡県';
PREF['41']='大分県';
PREF['42']='佐賀県';
PREF['43']='長崎県';
PREF['44']='宮崎県';
PREF['45']='熊本県';
PREF['46']='鹿児島県';
PREF['47']='沖縄県';


//#############################
//      ゆうパック用設定
//#############################

// 区別        長さ、高さ、幅の合計
// 60サイズ:   60cmまで
// 80サイズ:   80cmまで
//100サイズ:  100cmまで
//120サイズ:  120cmまで
//140サイズ:  140cmまで
//160サイズ:  160cmまで
//170サイズ:  170cmまで

const YUPACK =function(){
this.AREA=new Array();

this.AREA['kennai']=('27');
//県内にあたる都道府県の数字を、下のリストから選んで記入します。
//例) 東京の場合は'13' 北海道の場合は'1'

//北海道:   1
//青森県:   2
//岩手県:   3
//秋田県:   4
//宮城県:   5
//山形県:   6
//福島県:   7
//茨城県:   8
//栃木県:   9
//群馬県:  10
//埼玉県:  11
//千葉県:  12
//東京都:  13
//神奈川県:14
//新潟県:  15
//富山県:  16
//石川県:  17
//福井県:  18
//長野県:  19
//山梨県:  20
//静岡県:  21
//愛知県:  22
//岐阜県:  23
//三重県:  24
//滋賀県:  25
//京都府:  26
//大阪府:  27
//兵庫県:  28
//奈良県:  29
//和歌山県:30
//鳥取県:  31
//島根県:  32
//岡山県:  33
//広島県:  34
//山口県:  35
//香川県:  36
//徳島県:  37
//愛媛県:  38
//高知県:  39
//福岡県:  40
//大分県:  41
//佐賀県:  42
//長崎県:  43
//宮崎県:  44
//熊本県:  45
//鹿児島県:46
//沖縄県:  47

this.JYURYO=new Array('5000','10000','18000','25000','30000','50000','60000');
//ゆうパックには重量計算はありませんが、
//宅配便のように重量で計算したい場合は、
//扱っている商品が60サイズはだいたい何グラムとわかると思いますので
//上の7つのサイズ区分に対して重量を設定してください。

this.JYU=new Array();

this.JYU['kennai']=new Array('600','800','1000','1200','1400','1600','1700');
//県内の各サイズに対する料金

this.JYU['hokkaido']=new Array('1200','1400','1600','1800','2000','2200','2400');
//北海道地帯の各サイズに対する料金

this.JYU['touhoku']=new Array('900','1100','1300','1500','1700','1900','2100');
//東北地帯の各サイズに対する料金

this.JYU['kanto']=new Array('800','1000','1200','1400','1600','1800','2000');
//関東地帯の各サイズに対する料金

this.JYU['tokyo']=new Array('800','1000','1200','1400','1600','1800','2000');
//東京地帯の各サイズに対する料金

this.JYU['minamikanto']=new Array('800','1000','1200','1400','1600','1800','2000');
//南関東地帯の各サイズに対する料金

this.JYU['shinetu']=new Array('800','1000','1200','1400','1600','1800','2000');
//信越地帯の各サイズに対する料金

this.JYU['hokuriku']=new Array('700','900','1100','1300','1500','1700','1900');
//北陸地帯の各サイズに対する料金

this.JYU['toukai']=new Array('700','900','1100','1300','1500','1700','1900');
//東海地帯の各サイズに対する料金

this.JYU['kansai']=new Array('700','900','1100','1300','1500','1700','1900');
//近畿地帯の各サイズに対する料金

this.JYU['chugoku']=new Array('700','900','1100','1300','1500','1700','1900');
//中国地帯の各サイズに対する料金

this.JYU['shikoku']=new Array('700','900','1100','1300','1500','1700','1900');
//四国地帯の各サイズに対する料金

this.JYU['kyushu']=new Array('800','1000','1200','1400','1600','1800','2000');
//九州地帯の各サイズに対する料金

this.JYU['okinawa']=new Array('1200','1400','1600','1800','2000','2200','2400');
//沖縄地帯の各サイズに対する料金

this.COOL=new Array('190','340','640');
//冷凍便を使うときは料金設定
this.COOLJU=new Array('4000','8000','30000');
//冷凍便の重量

//******************* (以下は変更の必要なし) ********************

this.AREAS=new Array('kennai','hokkaido','touhoku','kanto','tokyo','minamikanto','shinetu','hokuriku','toukai','kansai','chugoku','shikoku','kyushu','okinawa');
this.PACKSIZE=new Array('60','80','100','120','140','160','170');
this.AREA['hokkaido']=new Array('1');
this.AREA['touhoku']=new Array('2','4','3','6','5','7');
this.AREA['kanto']=new Array('12','11','8','10','9');
this.AREA['tokyo']=new Array('13');
this.AREA['minamikanto']=new Array('14','20');
this.AREA['shinetu']=new Array('15','19');
this.AREA['hokuriku']=new Array('17','18','16');
this.AREA['toukai']=new Array('22','24','23','21');
this.AREA['kansai']=new Array('27','29','30','26','28','25');
this.AREA['chugoku']=new Array('34','33','32','35','31');
this.AREA['shikoku']=new Array('36','39','37','38');
this.AREA['kyushu']=new Array('40','42','41','43','45','44','46');
this.AREA['okinawa']=new Array('47');

}

//---------------------------------------------------

//#############################
//    クロネコヤマト用設定
//#############################


// 60サイズ: 60cmまで  2kgまで
// 80サイズ: 80cmまで  5kgまで
//100サイズ:100cmまで 10kgまで
//120サイズ:120cmまで 15kgまで
//140サイズ:140cmまで 20kgまで
//160サイズ:160cmまで 30kgまで

const KURO =function(){

//料金表をみて、自分の地域からみた各地域の、各サイズに対する料金を
//下に書き入れていきます。
this.JYU=new Array();

this.JYU['hokkaido']=new Array('1160','1370','1580','1790','2000','2210');
//北海道地帯の各サイズに対する料金

this.JYU['kitatouhoku']=new Array('840','1050','1260','1470','1680','1890');
//北東北地帯の各サイズに対する料金

this.JYU['minamitouhoku']=new Array('740','950','1160','1370','1580','1790');
//南東北地帯の各サイズに対する料金

this.JYU['kanto']=new Array('740','950','1160','1370','1580','1790');
//関東地帯の各サイズに対する料金

this.JYU['shinetu']=new Array('740','950','1160','1370','1580','1790');
//信越地帯の各サイズに対する料金

this.JYU['toukai']=new Array('740','950','1160','1370','1580','1790');
//東海地帯の各サイズに対する料金

this.JYU['hokuriku']=new Array('1020','1180','1340','1420','1500','1500');
//北陸地帯の各サイズに対する料金

this.JYU['kansai']=new Array('840','1050','1260','1470','1680','1890');
//関西地帯の各サイズに対する料金

this.JYU['chugoku']=new Array('950','1160','1370','1580','1790','2000');
//中国地帯の各サイズに対する料金

this.JYU['shikoku']=new Array('1050','1260','1470','1680','1890','2100');
//四国地帯の各サイズに対する料金

this.JYU['kyushu']=new Array('1160','1370','1580','1790','2000','2210');
//九州地帯の各サイズに対する料金

this.JYU['okinawa']=new Array('1260','1790','2310','2840','3360','3890');
//沖縄地帯の各サイズに対する料金

this.COOL=new Array('210','210','310','610','');
//クール便を使うときは料金を設定

//******************* (以下は変更の必要なし) ********************

this.JYORYO=new Array('2000','5000','10000','15000','20000','30000');
this.AREAS=new Array('hokkaido','kitatouhoku','minamitouhoku','kanto','shinetu','toukai','hokuriku','kansai','chugoku','shikoku','kyushu','okinawa');
this.PACKSIZE=new Array('60','80','100','120','140','160');
this.AREA=new Array();
this.AREA['hokkaido']=new Array('1');
this.AREA['kitatouhoku']=new Array('2','4','3');
this.AREA['minamitouhoku']=new Array('6','5','7');
this.AREA['kanto']=new Array('13','12','14','11','8','10','9','20');
this.AREA['shinetu']=new Array('15','19');
this.AREA['toukai']=new Array('22','24','23','21');
this.AREA['hokuriku']=new Array('17','18','16');
this.AREA['kansai']=new Array('27','29','30','26','28','25');
this.AREA['chugoku']=new Array('34','33','32','35','31');
this.AREA['shikoku']=new Array('36','39','37','38');
this.AREA['kyushu']=new Array('40','42','41','43','45','44','46');
this.AREA['okinawa']=new Array('47');

}


//---------------------------------------------------

//#############################
//    佐川急便用設定-
//#############################

// 60サイズ: 60cmまで  2kgまで
// 80サイズ: 80cmまで  5kgまで
//100サイズ:100cmまで 10kgまで
//140サイズ:140cmまで 20kgまで
//160サイズ:160cmまで 30kgまで

const SAGAWA =function(){
this.JYU=new Array();
this.JYU['hokkaido']=new Array('610','770','930','1010','1090');
//北海道地帯の各サイズに対する料金

this.JYU['kitatouhoku']=new Array('710','870','1030','1110','1190');
//北東北地帯の各サイズに対する料金

this.JYU['minamitouhoku']=new Array('820','980','1140','1220','1300');
//南東北地帯の各サイズに対する料金

this.JYU['kanto']=new Array('1020','1180','1340','1420','1500');
//関東地帯の各サイズに対する料金

this.JYU['shinetu']=new Array('1020','1180','1340','1420','1500');
//信越地帯の各サイズに対する料金

this.JYU['toukai']=new Array('1020','1180','1340','1420','1500');
//東海地帯の各サイズに対する料金

this.JYU['hokuriku']=new Array('1020','1180','1340','1420','1500');
//北陸地帯の各サイズに対する料金

this.JYU['kansai']=new Array('1020','1180','1340','1420','1500');
//関西地帯の各サイズに対する料金

this.JYU['chugoku']=new Array('1020','1180','1340','1420','1500');
//中国地帯の各サイズに対する料金

this.JYU['shikoku']=new Array('1020','1180','1340','1420','1500');
//四国地帯の各サイズに対する料金

this.JYU['kitakyushu']=new Array('1020','1180','1340','1420','1500');
//北九州地帯の各サイズに対する料金

this.JYU['minamikyushu']=new Array('1020','1180','1340','1420','1500');
//南九州地帯の各サイズに対する料金

this.COOL=new Array('160','160','270','320');
//冷凍便を使うときは料金設定

//******************* (以下は変更の必要なし) ********************

this.JYORYO=new Array('2000','5000','10000','20000','30000');
this.AREAS=new Array('hokkaido','kitatouhoku','minamitouhoku','kanto','shinetu','toukai','hokuriku','kansai','chugoku','shikoku','kitakyushu','minamikyushu');
this.PACKSIZE=new Array('60','80','100','140','160');
this.AREA=new Array();
this.AREA['hokkaido']=new Array('1');
this.AREA['kitatouhoku']=new Array('2','4','3');
this.AREA['minamitouhoku']=new Array('6','5','7');
this.AREA['kanto']=new Array('13','12','14','11','8','10','9','20');
this.AREA['shinetu']=new Array('15','19');
this.AREA['toukai']=new Array('22','24','23','21');
this.AREA['hokuriku']=new Array('17','18','16');
this.AREA['kansai']=new Array('27','29','30','26','28','25');
this.AREA['chugoku']=new Array('34','33','32','35','31');
this.AREA['shikoku']=new Array('36','39','37','38');
this.AREA['kitakyushu']=new Array('40','42','41','43');
this.AREA['minamikyushu']=new Array('45','44','46');

}

//---------------------------------------------------

//#############################
//    定形外郵便用設定
//#############################


const TEIKEIGAI =function(){

//商品に重さが登録されてないときは荷物はすべて50g以下として計算します。

this.JYURYO=new Array('50','100','150','250','500','1000','2000','4000');
//重量区分 単位はg

this.JYU=new Array('120','140','200','240','390','580','850','1150');
//上記重量区分に対する料金

}

//----------------------------------------------------
